From fc24076b97cc1c3e944760f8e4113eade622b826 Mon Sep 17 00:00:00 2001
From: Marius Gripsgard <marius@ubports.com>
Date: Tue, 8 Mar 2022 23:00:22 +0100
Subject: [PATCH 1/4] src: timer_callback should only return -1 on error

A timeout less than 0 is not an error, it just tells to quit the timer.
If we are returning an error all other things in the queue will
be aborted, so lets not do that.

See: https://curl.se/libcurl/c/CURLMOPT_TIMERFUNCTION.html and
https://github.com/curl/curl/issues/8083
---
 src/core/net/http/impl/curl/multi.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/core/net/http/impl/curl/multi.cpp b/src/core/net/http/impl/curl/multi.cpp
index fd7d534..3b6f61e 100644
--- a/src/core/net/http/impl/curl/multi.cpp
+++ b/src/core/net/http/impl/curl/multi.cpp
@@ -429,7 +429,7 @@ int multi::Handle::Private::timer_callback(
         void* cookie)
 {
     if (timeout_ms < 0)
-        return -1;
+        return 0;
 
     auto holder = static_cast<Private::Holder*>(cookie);
 
-- 
2.35.1

